From: Josh Cooper <josh@puppet.com>
Date: Wed, 22 Jan 2020 19:25:45 -0800
Subject: (maint) Delete sync requires

Puppet used to rely on sync, but that was removed awhile ago. Remove the
orphaned require statements in preparation for ruby 2.7, as sync is now an
external gem.

(cherry picked from commit a53cb826b56b1531e7b0c1cd82d72f2f41ae6b09)
---
 lib/puppet/configurer.rb   | 1 -
 lib/puppet/util/storage.rb | 1 -
 2 files changed, 2 deletions(-)

diff --git a/lib/puppet/configurer.rb b/lib/puppet/configurer.rb
index 2ccddbe..4c6e33d 100644
--- a/lib/puppet/configurer.rb
+++ b/lib/puppet/configurer.rb
@@ -1,5 +1,4 @@
 # The client for interacting with the puppetmaster config server.
-require 'sync'
 require 'timeout'
 require 'puppet/network/http_pool'
 require 'puppet/util'
diff --git a/lib/puppet/util/storage.rb b/lib/puppet/util/storage.rb
index 713f650..b9183ca 100644
--- a/lib/puppet/util/storage.rb
+++ b/lib/puppet/util/storage.rb
@@ -1,5 +1,4 @@
 require 'yaml'
-require 'sync'
 require 'singleton'
 require 'puppet/util/yaml'
 
